-- http://qtdebug.com/mac-hammerspoon/
-- 键和应用对
-- 提示: 数字作为键，需要使用 [Number] 的格式

local KEY_APP_PAIRS = {
    [5] = "QSpace Pro.app",
    Q = "QQ.app",W = "WeChat.app",E = "Microsoft Edge.app",T = "iTerm.app",Y = "语雀.app",U = "Notion.app",I = "IINA.app",O = "Obsidian.app", P = "Clash Verge.app",
    A = "ILink.app",S = "WebStorm.app",F = "Finder.app",G = "ChatGPT.app",H = "HBuilderX.app",K = "Spotify", L = "NeteaseMusic.app",
    Z = "QSpace Pro.app",X = "Xcode.app",C = "Google Chrome.app",V = "Visual Studio Code.app",B = "wechatwebdevtools.app",N = "/System/Applications/Notes.app",M = "Telegram.app",
    
    -- [2] = "Notable.app",
    -- [3] = "Typora.app",
}
-- 修饰键 这里设置为 f19
local  MOFIFER_KEY = f19
-- local  MOFIFER_KEY = "alt" 

-- 显示 Finder: 
-- hs.hotkey.bind(MOFIFER_KEY, "1", function()
--     hs.application.open("/System/Library/CoreServices/Finder.app")
--     hs.application.get("com.apple.finder"):setFrontmost(true)
-- end)

-- 重新加载配置
hs.hotkey.bind(f19, "R", function()
    hs.reload()
end)

--------------------------------------------------------------------------------------
-- 按下 "F19+键" 会打开或激活对应的应用，如果应用不是绝对路径，则指的是 /Applications 中的应用 --
--------------------------------------------------------------------------------------
function bindAppWithHotkey(keyAppPairs)


    -- 另一种方式
    for key, app in pairs(keyAppPairs) do
        hs.hotkey.bind(MOFIFER_KEY, key .. "", function()
            -- hs.application.open(app) -- 这种方式必须要app 路径
            hs.alert.show(app)
            hs.application.launchOrFocus(app) -- 这种可以只传入app name,也可以传入路径
        end)
    end
end

bindAppWithHotkey(KEY_APP_PAIRS)

